import { IEditorWidget } from '../../editor/widget/widget.js';
import { KCBeacon } from '../../../elements/kc-beacon.js';
export declare class BeaconWidget implements IEditorWidget {
    private position;
    private domNode?;
    private resolvedPosition;
    private blockPosition;
    getDomNode(): KCBeacon;
    setResolvedPosition(x: number, y: number): void;
    setBlockPosition(blockPosition: boolean): void;
    isBlockPosition(): boolean;
    getResolvedPosition(): {
        x: number;
        y: number;
    } | null;
    setPosition(p: string | null): void;
    getPosition(): string | null;
}
